# Uses of Class
javax.management.IntrospectionException

Packages that use IntrospectionException
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of IntrospectionException in javax.management

Methods in javax.management that throw IntrospectionException
Modifier and Type
Method
Description
`MBeanInfo`
MBeanServer.`getMBeanInfo​(ObjectName name)`
`MBeanInfo`
MBeanServerConnection.`getMBeanInfo​(ObjectName name)`
This method discovers the attributes and operations that an MBean exposes for management.
Constructors in javax.management that throw IntrospectionException
Modifier
Constructor
Description
``
`MBeanAttributeInfo​(String name, String description, Method getter, Method setter)`
This constructor takes the name of a simple attribute, and Method objects for reading and writing the attribute.

## Uses of IntrospectionException in javax.management.modelmbean

Constructors in javax.management.modelmbean that throw IntrospectionException
Modifier
Constructor
Description
``
`ModelMBeanAttributeInfo​(String name, String description, Method getter, Method setter)`
Constructs a ModelMBeanAttributeInfo object with a default descriptor.
``
`ModelMBeanAttributeInfo​(String name, String description, Method getter, Method setter, Descriptor descriptor)`
Constructs a ModelMBeanAttributeInfo object.

## Uses of IntrospectionException in javax.management.remote.rmi

Methods in javax.management.remote.rmi that throw IntrospectionException
Modifier and Type
Method
Description
`MBeanInfo`
RMIConnection.`getMBeanInfo​(ObjectName name, Subject delegationSubject)`
Handles the method `MBeanServerConnection.getMBeanInfo(ObjectName)`.
`MBeanInfo`
RMIConnectionImpl_Stub.`getMBeanInfo​(ObjectName $param_ObjectName_1, Subject $param_Subject_2)`
`MBeanInfo`
RMIConnectionImpl.`getMBeanInfo​(ObjectName name, Subject delegationSubject)`